<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structiot__sem__internal__t" kind="struct" language="C++" prot="public">
    <compoundname>iot_sem_internal_t</compoundname>
    <includes local="no">cy_iot_platform_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structiot__sem__internal__t_1abccebb999c2fddbb273abab65606d65a" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_semaphore_t</type>
        <definition>cy_semaphore_t iot_sem_internal_t::xSemaphore</definition>
        <argsstring />
        <name>xSemaphore</name>
        <briefdescription>
<para>cyabs_rtos semaphore. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="48" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Holds information about an active Semaphore. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="49" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="47" />
    <listofallmembers>
      <member prot="public" refid="structiot__sem__internal__t_1abccebb999c2fddbb273abab65606d65a" virt="non-virtual"><scope>iot_sem_internal_t</scope><name>xSemaphore</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>